Subject: kernel BUG at kernel/kallsyms.c:222!

From: [email-masked] (Rusty Russell)
Date: Mon, 11 Nov 2013 10:53:23 +1030

Ming Lei <[email-masked]> writes:
> Hi Axel,
>
> On Fri, Nov 8, 2013 at 12:20 PM, Axel Lin <[email-masked]> wrote:
>>
>>
>> Hi Ming,
>>
>> I have patches on top of 3.12 to support gpl32700 SoC.
>> So you cannot find this platform on mainline kernel.
>
> OK, I see.
>
>> I havn't tried perf, below is my config for your reference:
>> (to make the config smaller, I grep out disabled config entries.)
>
> I doubt CONFIG_VMSPLIT_3G/CONFIG_PAGE_OFFSET isn't
> used at all in your unmerged patchset, also your link script should
> be different with in-tree arch/arm/kernel/vmlinux.lds.S, otherwise
> you may put all your kernel symbols after 0xC00000000.
>
> Maybe you need to not define PAGE_OFFSET and let it be
> PHYS_OFFSET at default, also VMSPLIT_3G shouldn't have
> been there on non-MMU linux.

OK, unless there are other platforms which have this issue, I'll
leave it with you to hold this patch for merge with your SoC.

Cheers,
Rusty.